> ## Documentation Index
> Fetch the complete documentation index at: https://auth0-actions-triggers-prototype.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SAML Logout

> Log out a user from an Auth0 tenant configured as a SAML identity provider.

## Endpoint

`POST /samlp/{client_id}/logout`

Use this endpoint to log out a user from an Auth0 tenant configured as a SAML identity provider (IdP). Logout behavior is determined by the configuration of the SAML2 Web App addon for the application on the Auth0 tenant acting as the SAML IdP. To learn more, read [Log Users Out of SAML Identity Providers](https://auth0.com/docs/authenticate/login/logout/log-users-out-of-saml-idps#configure-slo-when-auth0-is-the-saml-idp).

### Remarks

* The POST body must contain a valid SAML `<LogoutRequest>` message. To learn more, read [Assertions and Protocols for the OASIS Security Assertion Markup Language (SAML) V2.0 on Oasis](https://docs.oasis-open.org/security/saml/v2.0/saml-core-2.0-os.pdf).

### Learn More

* [Logout](https://auth0.com/docs/authenticate/login/logout)
* [Log Users Out of SAML Identity Providers](https://auth0.com/docs/authenticate/login/logout/log-users-out-of-saml-idps)

## Path Parameters

<ParamField path="client_id" type="string" required>
  Client ID of your application configured with the [SAML2 Web App addon](https://auth0.com/docs/authenticate/protocols/saml/saml-sso-integrations/enable-saml2-web-app-addon).
</ParamField>

## Response Messages

| Status | Description                                          |
| ------ | ---------------------------------------------------- |
| 200    | Successfully logged out                              |
| 400    | Bad request, possibly due to an invalid SAML message |
